from django.contrib import admin
from .models import Session, Semester, Level, Faculty, Department, Programme, Course, CourseRegistration, Invoice, Spreadsheet

class SessionAdmin(admin.ModelAdmin):
    list_display = ['id', 'session', 'current', 'created']
    search_fields = ['session',]
    list_editable = []
    list_display_links = ['session']
    list_per_page = 10

admin.site.register(Session, SessionAdmin)

class SemesterAdmin(admin.ModelAdmin):
    list_display = ['id', 'session', 'semester', 'current', 'vc_approval', 'created']
    search_fields = []
    list_editable = []
    list_display_links = []
    list_per_page = 10

admin.site.register(Semester, SemesterAdmin)

class LevelAdmin(admin.ModelAdmin):
    list_display = ['level']
    search_fields = []
    list_display_links = []
    list_per_page = 10

admin.site.register(Level, LevelAdmin)

class FacultyAdmin(admin.ModelAdmin):
    list_display = ['faculty']
    search_fields = []
    list_display_links = []
    list_filter = []
    list_per_page = 10

admin.site.register(Faculty, FacultyAdmin)

class DepartmentAdmin(admin.ModelAdmin):
    list_display = ['department', 'hod']
    search_fields = []
    list_display_links = []
    list_filter = []
    list_per_page = 10

admin.site.register(Department, DepartmentAdmin)

class ProgrammeAdmin(admin.ModelAdmin):
    list_display = ['programme']
    search_fields = []
    list_display_links = []
    list_filter = []
    list_per_page = 10

admin.site.register(Programme, ProgrammeAdmin)

class CourseAdmin(admin.ModelAdmin):
    list_display = ['course_code', 'course_title', 'credit_unit', 'lecturer']
    search_fields = ['course_code']
    list_display_links = []
    list_filter = ['level']
    list_per_page = 50

admin.site.register(Course, CourseAdmin)

class CourseRegistrationAdmin(admin.ModelAdmin):
    list_display = ['created', 'session', 'semester', 'course', 'undergrad']
    search_fields = []
    list_editable = []
    list_display_links = []
    list_filter = []
    list_per_page = 10

admin.site.register(CourseRegistration, CourseRegistrationAdmin)

class SpreadsheetAdmin(admin.ModelAdmin):
    list_display = ['session', 'semester', 'level', 'programme']
    list_editable = ['level']
    list_per_page = 50

admin.site.register(Spreadsheet, SpreadsheetAdmin)
